RHEL 2.1 / 3 : XFree86 (RHSA-2007:0002)

This script is Copyright (C) 2007-2014 Tenable Network Security, Inc.


Synopsis :

The remote Red Hat host is missing one or more security updates.

Description :

Updated XFree86 packages that fix a security issue are now available
for Red Hat Enterprise Linux 2.1 and 3.

This update has been rated as having important security impact by the
Red Hat Security Response Team.

XFree86 is an implementation of the X Window System, which provides
the core functionality for the Linux graphical desktop.

iDefense reported three integer overflow flaws in the XFree86 Render
and DBE extensions. A malicious authorized client could exploit this
issue to cause a denial of service (crash) or potentially execute
arbitrary code with root privileges on the XFree86 server.
(CVE-2006-6101, CVE-2006-6102, CVE-2006-6103)

Users of XFree86 should upgrade to these updated packages, which
contain a backported patch and is not vulnerable to this issue.

See also :

https://www.redhat.com/security/data/cve/CVE-2006-6101.html
https://www.redhat.com/security/data/cve/CVE-2006-6102.html
https://www.redhat.com/security/data/cve/CVE-2006-6103.html
http://rhn.redhat.com/errata/RHSA-2007-0002.html

Solution :

Update the affected packages.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)

Family: Red Hat Local Security Checks

Nessus Plugin ID: 24009 ()

Bugtraq ID:

CVE ID: CVE-2006-6101
CVE-2006-6102
CVE-2006-6103